aiat_gamer

Pharan писал(а):@solgryn
There was a small change with the editor that makes it not work with older runtimes' SkeletonJson (a forward compatibility thing). But you can fix this by opening SkeletonJson.cs in your project and replacing its contents with this:
https://raw.githubusercontent.com/EsotericSoftware/spine-runtimes/master/spine-csharp/src/SkeletonJson.cs

That's the latest runtime's SkeletonJson
Hi Pharan, I replaced the file with the one from the link, now I get this error:

https://i.imgur.com/vC0QLDL.png
Аватара пользователя
aiat_gamer
  • Сообщения: 78

Pharan

Were you still on a 2.x runtime? I think you may have been way behind. You need to update the whole runtime.
Otherwise, this is the older SkeletonJson: https://raw.githubusercontent.com/EsotericSoftware/spine-runtimes/81eb9c49b436f803394b055a733c7129c0a9471f/spine-csharp/src/SkeletonJson.cs

You can revert back, and keep using an older version of Spine editor.

http://esotericsoftware.com/support#What-version-of-Spine-works-with-what-version-of-the-Spine-Runtimes
Аватара пользователя
Pharan
  • Сообщения: 5366

Black Hive

Getting this problem suddenly as well.

-- 25 Feb 2016, 22:27 --

Solgryn писал(а):
a15099093 писал(а):I also encountered the same problem, how to return to the 3.0.10 version~~
In spine, simply press settings and you can choose your version.
Well that's freakin' handy. Thanks.
Black Hive
  • Сообщения: 28


Вернуться в Unity